#ifndef CLIGHTDRIVER_WL_H
#define CLIGHTDRIVER_WL_H

#include "clightdriver.h"
class CMSerialPort;
class CLightDriver_WL : public CLightDriver
{
public:
	enum msg_id
	{
		LIGHTDRIVER_WL_MSG_ID=MAX_LIGHTDRIVER_MSG_ID,
		MAX_LIGHTDRIVER_WL_MSG_ID,
	};
	CLightDriver_WL(const QString& name,int32_t id);
	~CLightDriver_WL();
    int32_t setlight(int32_t iChid, int32_t ibright);
    int32_t freshlight(int32_t iChid);
    int32_t setmultiplier(int32_t iChid, int32_t imultiplier);
	int32_t init_driver();
    int32_t exit_driver();
    void SendCommand(const char* pCommand,char* pResponse);
    void MakeCommand(char* pCommand, char *commid,
                     byte byCh, byte byData,bool bwrite,int idatasize);
    void checkResponse(int32_t iChid,char* pResponse);
};

#endif // CLIGHTDRIVER_WL_H
